# Generated by Django 3.2.6 on 2022-01-20 07:45

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('viewer', '0005_auto_20220120_0658'),
    ]

    operations = [
        migrations.CreateModel(
            name='Fonction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identity', models.IntegerField(default=1)),
                ('name', models.CharField(max_length=100)),
                ('surname', models.CharField(max_length=100)),
                ('grade', models.CharField(choices=[('sergent_chef 3', 'sergent_chef 3'), ('sergent_chef 4', 'sergent_chef 4'), ('general', 'general'), ('adjudant 4', 'adjudant 4'), ('sous_lieutenant', 'sous_lieutenant'), ('adjudant_chef 4', 'adjudant_chef 4'), ('adjudant 3', 'adjudant 3'), ('caporal 3', 'caporal 3'), ('caporal_chef 4', 'caporal_chef 4'), ('sergent 3', 'sergent 3'), ('colonel', 'colonel'), ('lieutenant', 'lieutenant'), ('lieutenant_colonel', 'lieutenant_colonel'), ('commandant', 'commandant'), ('capitaine', 'capitaine'), ('major 4', 'major 4'), ('caporal_chef 2', 'caporal_chef 2'), ('brigadier', 'brigadier'), ('soldat 2', 'soldat 2'), ('sergent 4', 'sergent 4'), ('caporal 2', 'caporal 2'), ('caporal_chef 3', 'caporal_chef 3'), ('sergent 2', 'sergent 2')], default='colonel', max_length=100)),
                ('echelon', models.IntegerField(default=1)),
                ('age', models.IntegerField(default=30)),
                ('nombre_enfant', models.IntegerField(default=0)),
                ('Zone_geographique', models.IntegerField(default=1)),
            ],
        ),
        migrations.DeleteModel(
            name='Fonctionnaire',
        ),
    ]
